import type { Exercise } from "@/types/course";

export const exercise: Exercise = {
    id: "d7b0c180-c761-4c49-a3ed-d80b429cf675",
    title: "Les piétons",
    description: "Description pour Les piétons",
    chapterId: "B. Les usagers de la route",
    lessonId: "Les piétons",
    questions: [
        {
            qid: "q1",
            question: "Le piéton est sur le point de traverser la chaussée.\n\nA. La voiture doit céder le passage.\nB. Le piéton doit céder le passage.",
            correct_answer: "b",
            explanation: "LEÇON 7 – ‘Les piétons’.\nLes piétons qui marchent sur le passage pour piétons, ou ont l’intention de l’emprunter, ont toujours priorité.\nUn piéton qui veut traverser la chaussée à un endroit où il n’y a pas de passage pour piétons, doit céder le passage.",
            suggestion: [
                "A",
                "B",
                "C"
            ],
            image_url: "https://examen.gratisrijbewijsonline.be/afbeeldingen/71/2.jpg"
        },
        {
            qid: "q2",
            question: "Il y a un piéton qui emprunte le passage pour piétons ou veut l’emprunter.\nLa voiture brune peut-elle dépasser la rouge par la gauche?",
            correct_answer: "non",
            explanation: "LEÇON 7 – ‘Les piétons’.\nVous ne pouvez jamais dépasser par la gauche une voiture qui ralentit ou s’arrête devant un passage pour piétons ou cyclistes.",
            suggestion: [
                "oui",
                "non"
            ],
            image_url: "https://examen.gratisrijbewijsonline.be/afbeeldingen/71/6.jpg"
        },
        {
            qid: "q3",
            question: "Une jeune fille pousse un cyclomoteur sur la chaussée. Selon le code de la route elle est un ...\n\nA. ... conducteur.\nB. ... piéton.",
            correct_answer: "b",
            explanation: "LEÇON 7 – ‘Les piétons’.\nQuelqu’un qui pousse une voiture ou une motocyclette est un conducteur.",
            suggestion: [
                "A",
                "B",
                "C"
            ],
            image_url: "https://examen.gratisrijbewijsonline.be/afbeeldingen/71/15.jpg"
        },
        {
            qid: "q4",
            question: "Ce panneau de danger est installé (...) mètres en deçà du passage pour piétons.",
            correct_answer: "150",
            explanation: "LEÇON 7 – ‘Les piétons’.\nLe panneau rouge est un signal de danger et se trouve à environ 150 mètres en deçà du passage pour piétons.",
            suggestion: "input text",
            image_url: "https://examen.gratisrijbewijsonline.be/afbeeldingen/71/13.jpg"
        },
        {
            qid: "q5",
            question: "Vous ne pouvez ni vous arrêter ni stationner sur la chaussée à moins de (...) mètres en deçà du passage pour piétons.",
            correct_answer: "5",
            explanation: "LEÇON 7 – ‘Les piétons’.\nLes piétons qui marchent sur le passage pour piétons, ou ont l’intention de l’emprunter, ont toujours priorité.\nUn piéton qui veut traverser la chaussée à un endroit où il n’y a pas de passage pour piétons, doit céder le passage.",
            suggestion: "input text",
            image_url: "https://examen.gratisrijbewijsonline.be/afbeeldingen/71/3.jpg"
        },
        {
            qid: "q6",
            question: "Celui qui pousse un cyclomoteur est un ...\n\nA. ... piéton.\nB. ... conducteur.",
            correct_answer: "a",
            explanation: "LEÇON 7 – ‘Les piétons’.\nQui pousse un cyclomoteur est un piéton.\nIl devrait se déplacer sur le trottoir.\nQui pousse une moto ou une voiture, est un pilote.",
            suggestion: [
                "A",
                "B",
                "C"
            ],
            image_url: "https://examen.gratisrijbewijsonline.be/afbeeldingen/71/1.jpg"
        },
        {
            qid: "q7",
            question: "S’il y a un passage pour piétons à une distance de (...) mètres, les piétons sont tenus de l’utiliser.",
            correct_answer: "20",
            explanation: "LEÇON 7 – ‘Les piétons’.\nUn piéton qui veut traverser la chaussée à un endroit où il n’y a pas de passage pour piétons, doit céder le passage.",
            suggestion: "input text",
            image_url: "https://examen.gratisrijbewijsonline.be/afbeeldingen/71/12.jpg"
        },
        {
            qid: "q8",
            question: "Quels cyclomoteurs peuvent franchir ce panneau?  \n\nA. Classe A.\nB. Classe B. \nC. Aucun cyclomoteur.",
            correct_answer: "c",
            explanation: "LEÇON 7 – ‘Les piétons’.\nPiétons et la bicyclette se trouvent l’un au-dessus de l’autre : aucun cyclomoteur.\nPiétons et la bicyclette côte à côte : cyclomoteurs de classe A.",
            suggestion: [
                "A",
                "B",
                "C"
            ],
            image_url: "https://examen.gratisrijbewijsonline.be/afbeeldingen/71/5.jpg"
        },
        {
            qid: "q9",
            question: "Le signal d’indication se trouve à proximité du passage pour piétons.\nLequel de ces panneaux est le signal d’indication?\n\nA. Le panneau rouge.\nB. Le panneau bleu.",
            correct_answer: "b",
            explanation: "LEÇON 7 – ‘Les piétons’.\nLe panneau rouge est un signal de danger et se trouve à environ 150 mètres en deçà du passage pour piétons.",
            suggestion: [
                "A",
                "B",
                "C"
            ],
            image_url: "https://examen.gratisrijbewijsonline.be/afbeeldingen/71/9.jpg"
        },
        {
            qid: "q10",
            question: "Le piéton n’est pas encore sur le passage pour piétons.\nLe conducteur de la voiture doit-il s’arrêter?",
            correct_answer: "oui",
            explanation: "LEÇON 7 – ‘Les piétons’.\nLes piétons qui marchent sur le passage pour piétons, ou ont l’intention de l’emprunter, ont toujours priorité.",
            suggestion: [
                "oui",
                "non"
            ],
            image_url: "https://examen.gratisrijbewijsonline.be/afbeeldingen/71/8.jpg"
        },
        {
            qid: "q11",
            question: "Que signifie ce signal de danger?\n\nA. École.\nB. Endroit spécialement fréquenté par des enfants.\nC. les enfants peuvent marcher sur la chaussée.",
            correct_answer: "b",
            explanation: "LEÇON 7 – ‘Les piétons’.\nSignification : endroit spécialement fréquenté par des enfants.",
            suggestion: [
                "A",
                "B",
                "C"
            ],
            image_url: "https://examen.gratisrijbewijsonline.be/afbeeldingen/71/4.jpg"
        },
        {
            qid: "q12",
            question: "Que signifie ce signal d’interdiction?\n\nA. Accès interdit aux piétons.\nB. Des piétons peuvent traverser la chaussée.\nC. Accès interdit à tous les usagers, sauf les piétons.",
            correct_answer: "a",
            explanation: "LEÇON 7 – ‘Les piétons’.\nSignification : accès interdit aux piétons.",
            suggestion: [
                "A",
                "B",
                "C"
            ],
            image_url: "https://examen.gratisrijbewijsonline.be/afbeeldingen/71/7.jpg"
        },
        {
            qid: "q13",
            question: "L’homme qui marche à côté du cheval est ...\n\nA. ... un piéton.\nB. ... un conducteur.",
            correct_answer: "b",
            explanation: "LEÇON 7 – ‘Les piétons’.\nUn cavalier ou une personne qui accompagne un cheval, n’est pas un piéton, mais un conducteur.",
            suggestion: [
                "A",
                "B",
                "C"
            ],
            image_url: "https://examen.gratisrijbewijsonline.be/afbeeldingen/71/10.jpg"
        },
        {
            qid: "q14",
            question: "Au-delà de ces panneaux, un enfant veut traverser la route à un endroit où il n'y a pas un passage pour piétons. Devez-vous arrêter et donner la priorité à l'enfant?",
            correct_answer: "non",
            explanation: "LEÇON 7 – ‘Les piétons’.\nUn piéton qui veut traverser la route à un endroit où il n'y a pas un passage pour piétons, doit donner la priorité. Pourtant vous devez toujours être prudent.",
            suggestion: [
                "oui",
                "non"
            ],
            image_url: "https://examen.gratisrijbewijsonline.be/afbeeldingen/71/17.jpg"
        },
        {
            qid: "q15",
            question: "Le piéton n’est pas encore sur le passage pour piétons.\nLa voiture grise peut-t-elle dépasser la bleue par la gauche?",
            correct_answer: "non",
            explanation: "LEÇON 7 – ‘Les piétons’.\nLes piétons qui marchent sur le passage pour piétons, ou ont l’intention de l’emprunter, ont toujours priorité.",
            suggestion: [
                "oui",
                "non"
            ],
            image_url: "https://examen.gratisrijbewijsonline.be/afbeeldingen/71/14.jpg"
        },
        {
            qid: "q16",
            question: "Votre amie vit dans une zone piétonne.\nPouvez-vous conduire chez elle avec votre voiture?",
            correct_answer: "non",
            explanation: "LEÇON 7 – ‘Les piétons’.\nNon, ce n'est pas autorisé.",
            suggestion: [
                "oui",
                "non"
            ],
            image_url: "https://examen.gratisrijbewijsonline.be/afbeeldingen/71/16.jpg"
        },
        {
            qid: "q17",
            question: "Un chien qui marche sur la rue est considéré par le code de la route comme ...\n\nA. ... un piéton.\nB. ... un usager de la route.\nC. ... ni un piéton ni un usager de la route.",
            correct_answer: "c",
            explanation: "LEÇON 7 – ‘Les piétons’.\nLes usagers de la route sont des personnes. Un animal comme un cheval ou un chien, ou un objet tel qu’un vélo ou une voiture ne sont pas des usagers de la route.",
            suggestion: [
                "A",
                "B",
                "C"
            ],
            image_url: "https://examen.gratisrijbewijsonline.be/afbeeldingen/71/11.jpg"
        }
    ]
};
